Retrieve folders

Retrieve folders from the server, along with details including title, description, and ID. Add the id parameter to only retrieve details of a specific folder; an optional values parameter can be supplied to return only the specified set of fields of the request. You can only retrieve folders for which you have view or edit permissions.

Query Params
integer

The ID of the folder

integer
Defaults to 1

The ID of the document hub whose folders you want to get.

integer
Defaults to 1

The ID of the folder whose subfolders you want to get.

string

Filter on all textual fields of folders

boolean
Defaults to false

Will return only deleted folders when set to True.

string

Specifies a comma-separated list of fields to be included in the response. When provided, the API will return only the specified set of fields for each object in the response. If not supplied, the API will return all fields by default. Limiting which fields are returned can improve performance. Excluding custom_fields will improve performance the most.

integer
Defaults to 100

Specifies the number of folders to be fetched in one paginated request. The response may have an X-Next-Page URL parameter in the header to fetch the next set of rules or page. The default maximum value is 1000, and can be configured via alation.folder_api.max_payload_size.

integer
Defaults to 0

Specifies the number of folders to be skipped in one request. Used together with limit parameter to fetch paginated requests. This is automatically set in the X-Next-Page response header if present.

boolean
enum

Optional parameter to exclude deleted object references from the response.
Set to true to exclude deleted object references.
If omitted, deleted object references are included.

Allowed:
Responses

Language
URL
Response
Choose an example:
application/json